Hobix install prob


#1

Help, I can’t install hobix using the handy website url thing:

/usr/local/lib/site_ruby/1.8/hobix/base.rb:37:in require': no such file to load -- - hobix/storage/filesys - hobix/out/quick - hobix/out/erb - hobix/out/rss - hobix/out/okaynews - hobix/out/atom - local (LoadError) from /usr/local/lib/site_ruby/1.8/hobix/base.rb:37:instart’
from /usr/local/lib/site_ruby/1.8/hobix/weblog.rb:294:in start' from /usr/local/lib/site_ruby/1.8/hobix/weblog.rb:293:ineach’
from /usr/local/lib/site_ruby/1.8/hobix/weblog.rb:293:in start' from /usr/local/lib/site_ruby/1.8/hobix/weblog.rb:320:inload’
from /usr/local/lib/site_ruby/1.8/hobix/commandline.rb:168:in
join_as_author' from /usr/local/lib/site_ruby/1.8/hobix/commandline.rb:144:increate_weblog’
from /usr/bin/hobix:64:in `call’
from /usr/bin/hobix:64
lesliev@redebo:~$ ls /usr/lib/

I have so far had to install libncurses-ruby1.8, do I need to install
something else too?

Les


#2

On Mon, 15 May 2006 06:09:10 +0900, “Leslie V.”
removed_email_address@domain.invalid wrote:

Help, I can’t install hobix using the handy website url thing:

/usr/local/lib/site_ruby/1.8/hobix/base.rb:37:in `require’: no such
file to load – - hobix/storage/filesys - hobix/out/quick -
hobix/out/erb - hobix/out/rss - hobix/out/okaynews - hobix/out/atom -
local (LoadError)

Hmm. It looks like the ‘requires’ section of hobix.yaml is either
malformed or getting mis-parsed as a single string for some reason.
What Ruby version is this, and could you also paste your hobix.yaml?

-mental


#3

Incidentally, this question might be best directed to the hobix mailing
list:

http://rubyforge.org/mailman/listinfo/hobix-is-the-way